Get WhatsApp Details
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"message_id": "eqZxFCfgLXtuHlyOikbMjoVImlJzZQ",
"wamid": "wamid.HBgMOTE4MjQ5NTg3NTUyFQIAERgSREYzODA5ODlFQzdBQjVDNzBGAA==",
"agent_id": "PPTnLQAvGlLtVgRbpcFn",
"campaign_id": "xyGwYgmSSUsGKtTPmxTv",
"to": "9938177282",
"status": "Accepted",
"template_id": "hfu7VL6sBhI6NPm",
"name": "Aarav Sharma",
"loan_id": "LOAN-2026-00001",
"conversation": [
{
"role": "assistant",
"content": "Hi Anmol, this is to remind you of your upcoming auto-pay: \n\nDate: 2025-06-11\nAccount: 3583791\nAmount: 10000\n\nThank you and have a nice day.",
"timestamp": "2026-02-12T16:23:36"
},
{
"role": "user",
"content": "Hi",
"timestamp": "2026-02-12T16:28:58"
},
{
"role": "assistant",
"content": "Hi Anmol,\n\nWelcome to timepay.ai! I'm your personal credit coach, here to assist you in resolving your negative accounts.\n\nLet's get started.\n",
"timestamp": "2026-02-12T16:28:59"
},
{
"role": "user",
"content": "Yes",
"timestamp": "2026-02-12T16:29:10"
},
{
"role": "assistant",
"content": "Please wait while we fetch your accounts...\n",
"timestamp": "2026-02-12T16:29:11"
},
{
"role": "user",
"content": "Any update",
"timestamp": "2026-02-12T16:29:37"
}
],
"errors": []
}
}
{
"success": false,
"message": "message_id is required and must be a string"
}
{
"success": false,
"message": "WhatsApp message not found"
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}
Details
Get WhatsApp Details
Retrieve detailed information about a specific WhatsApp conversation including the message thread, delivery status, and metadata.
Get WhatsApp Details
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agents.timepay.ai/api/v1/communication/whatsapp/{message_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"message_id": "eqZxFCfgLXtuHlyOikbMjoVImlJzZQ",
"wamid": "wamid.HBgMOTE4MjQ5NTg3NTUyFQIAERgSREYzODA5ODlFQzdBQjVDNzBGAA==",
"agent_id": "PPTnLQAvGlLtVgRbpcFn",
"campaign_id": "xyGwYgmSSUsGKtTPmxTv",
"to": "9938177282",
"status": "Accepted",
"template_id": "hfu7VL6sBhI6NPm",
"name": "Aarav Sharma",
"loan_id": "LOAN-2026-00001",
"conversation": [
{
"role": "assistant",
"content": "Hi Anmol, this is to remind you of your upcoming auto-pay: \n\nDate: 2025-06-11\nAccount: 3583791\nAmount: 10000\n\nThank you and have a nice day.",
"timestamp": "2026-02-12T16:23:36"
},
{
"role": "user",
"content": "Hi",
"timestamp": "2026-02-12T16:28:58"
},
{
"role": "assistant",
"content": "Hi Anmol,\n\nWelcome to timepay.ai! I'm your personal credit coach, here to assist you in resolving your negative accounts.\n\nLet's get started.\n",
"timestamp": "2026-02-12T16:28:59"
},
{
"role": "user",
"content": "Yes",
"timestamp": "2026-02-12T16:29:10"
},
{
"role": "assistant",
"content": "Please wait while we fetch your accounts...\n",
"timestamp": "2026-02-12T16:29:11"
},
{
"role": "user",
"content": "Any update",
"timestamp": "2026-02-12T16:29:37"
}
],
"errors": []
}
}
{
"success": false,
"message": "message_id is required and must be a string"
}
{
"success": false,
"message": "WhatsApp message not found"
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}
Headers
401 Unauthorized
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
403 Forbidden
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
string
required
Bearer token for authentication (e.g.,
Bearer <your_token>).string
Optional. Use this header only when the authenticated user belongs to multiple organizations. It identifies the organization to target for this action.
Path Parameters
string
required
The unique identifier of the WhatsApp message/conversation.
Response
boolean
Indicates whether the request was successful.
object
WhatsApp message details object.
Show properties
Show properties
string
Unique message identifier.
string
WhatsApp message ID assigned by Meta.
string
AI agent that handled the conversation.
array
string
Customer’s name as specified in campaign data
string
Campaign the message belongs to.
string
Customer’s WhatsApp number.
string
Overall conversation status.
Show possible values
Show possible values
Accepted— Message Accepted.Sent— Message Sent.Delivered— Message delivered.Read— Message read.Failed— Message failed to sent.
string
WhatsApp template ID.
array
List of errors if any.
string
Present only for Collection organizations. Unique loan identifier of the customer.
string
Present only for Lead Generation organizations. Unique lead identifier of the customer.
{
"success": true,
"data": {
"message_id": "eqZxFCfgLXtuHlyOikbMjoVImlJzZQ",
"wamid": "wamid.HBgMOTE4MjQ5NTg3NTUyFQIAERgSREYzODA5ODlFQzdBQjVDNzBGAA==",
"agent_id": "PPTnLQAvGlLtVgRbpcFn",
"campaign_id": "xyGwYgmSSUsGKtTPmxTv",
"to": "9938177282",
"status": "Accepted",
"template_id": "hfu7VL6sBhI6NPm",
"name": "Aarav Sharma",
"loan_id": "LOAN-2026-00001",
"conversation": [
{
"role": "assistant",
"content": "Hi Anmol, this is to remind you of your upcoming auto-pay: \n\nDate: 2025-06-11\nAccount: 3583791\nAmount: 10000\n\nThank you and have a nice day.",
"timestamp": "2026-02-12T16:23:36"
},
{
"role": "user",
"content": "Hi",
"timestamp": "2026-02-12T16:28:58"
},
{
"role": "assistant",
"content": "Hi Anmol,\n\nWelcome to timepay.ai! I'm your personal credit coach, here to assist you in resolving your negative accounts.\n\nLet's get started.\n",
"timestamp": "2026-02-12T16:28:59"
},
{
"role": "user",
"content": "Yes",
"timestamp": "2026-02-12T16:29:10"
},
{
"role": "assistant",
"content": "Please wait while we fetch your accounts...\n",
"timestamp": "2026-02-12T16:29:11"
},
{
"role": "user",
"content": "Any update",
"timestamp": "2026-02-12T16:29:37"
}
],
"errors": []
}
}
{
"success": false,
"message": "message_id is required and must be a string"
}
{
"success": false,
"message": "WhatsApp message not found"
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}
Error Codes
| Status | Description |
|---|---|
400 | Invalid request parameters |
401 | Unauthorized - missing or invalid authorization header |
403 | Forbidden - insufficient permission to perform this action |
404 | WhatsApp details not found |
500 | Internal server error |

